package lcsb.mapviewer.converter.model.sbgnaf.processors;

import lcsb.mapviewer.model.map.species.Element;
import org.sbgn.GlyphClazz;
import org.sbgn.bindings.Glyph;

public abstract class GlyphProcessor extends Processor<Glyph> {

  private GlyphClazz glyphClazz;

  public GlyphProcessor(GlyphClazz glyphClazz) {
    this.glyphClazz = glyphClazz;
  }

  public GlyphClazz getGlyphClazz() {
    return glyphClazz;
  }

  @Override
  public Integer getPriority() {
    return 0;
  }

  protected void mapGlyphBBoxToElement(Glyph glyph, Element element) {
    element.setWidth((double) glyph.getBbox().getW());
    element.setHeight((double) glyph.getBbox().getH());
    element.setX((double) glyph.getBbox().getX());
    element.setY((double) glyph.getBbox().getY());
    element.setZ(0);
  }

  protected void mapGlyphNameToElement(Glyph glyph, Element element) {
    if (glyph.getLabel() != null) {
      element.setName(glyph.getLabel().getText());
    } else {
      element.setName(glyph.getId());
    }
  }
}
