package lcsb.mapviewer.converter.model.sbgnaf.processors.activityNodes;

import lcsb.mapviewer.model.map.model.Model;
import lcsb.mapviewer.model.map.species.GenericProtein;
import org.sbgn.GlyphClazz;
import org.sbgn.bindings.Glyph;

public class BiologicalActivityProcessor extends ActivityNodeProcessor {

  private Glyph glyph;
  private Model model;

  public BiologicalActivityProcessor(Glyph glyph, Model model) {
    super(GlyphClazz.BIOLOGICAL_ACTIVITY);
    this.glyph = glyph;
    this.model = model;
  }

  @Override
  public void process() {
    GenericProtein genericProtein = new GenericProtein(glyph.getId());
    mapGlyphBBoxToElement(glyph, genericProtein);
    mapGlyphNameToElement(glyph, genericProtein);
    model.addElement(genericProtein);
  }
}
