package lcsb.mapviewer.converter.model.sbgnaf.processors.activityNodes;

import lcsb.mapviewer.model.map.model.Model;
import lcsb.mapviewer.model.map.species.Rna;
import org.sbgn.GlyphClazz;
import org.sbgn.bindings.Glyph;

public class NucleicAcidProcessor extends ActivityNodeProcessor {

  private Glyph glyph;
  private Model model;

  public NucleicAcidProcessor(Glyph glyph, Model model) {
    super(GlyphClazz.PHENOTYPE);
    this.glyph = glyph;
    this.model = model;
  }

  @Override
  public void process() {
    Rna rna = new Rna(glyph.getId());
    mapGlyphBBoxToElement(glyph, rna);
    mapGlyphNameToElement(glyph, rna);
    model.addElement(rna);
  }
}
