package lcsb.mapviewer.converter.model.sbgnaf.processors.activityNodes;

import lcsb.mapviewer.model.map.model.Model;
import lcsb.mapviewer.model.map.species.Phenotype;
import org.sbgn.GlyphClazz;
import org.sbgn.bindings.Glyph;

public class PhenotypeProcessor extends ActivityNodeProcessor {

  private Glyph glyph;
  private Model model;

  public PhenotypeProcessor(Glyph glyph, Model model) {
    super(GlyphClazz.PHENOTYPE);
    this.glyph = glyph;
    this.model = model;
  }

  @Override
  public void process() {
    Phenotype phenotype = new Phenotype(glyph.getId());
    mapGlyphBBoxToElement(glyph, phenotype);
    mapGlyphNameToElement(glyph, phenotype);
    model.addElement(phenotype);
  }
}
