package lcsb.mapviewer.converter.model.sbgnaf.processors.activityNodes;

import lcsb.mapviewer.model.map.model.Model;
import lcsb.mapviewer.model.map.species.SimpleMolecule;
import org.sbgn.GlyphClazz;
import org.sbgn.bindings.Glyph;

public class SimpleChemicalProcessor extends ActivityNodeProcessor {

  private Glyph glyph;
  private Model model;

  public SimpleChemicalProcessor(Glyph glyph, Model model) {
    super(GlyphClazz.PHENOTYPE);
    this.glyph = glyph;
    this.model = model;
  }

  @Override
  public void process() {
    SimpleMolecule simpleMolecule = new SimpleMolecule(glyph.getId());
    mapGlyphBBoxToElement(glyph, simpleMolecule);
    mapGlyphNameToElement(glyph, simpleMolecule);
    model.addElement(simpleMolecule);
  }
}
