package lcsb.mapviewer.converter.model.sbgnaf.processors.logicalOperators;

import lcsb.mapviewer.model.map.model.Model;
import lcsb.mapviewer.model.map.reaction.OrOperator;
import lcsb.mapviewer.model.map.reaction.Reaction;
import org.sbgn.GlyphClazz;
import org.sbgn.bindings.Glyph;
import org.sbgn.bindings.Sbgn;

public class OrOperatorProcessor extends LogicalOperatorProcessor {

  private Glyph glyph;
  private Model model;
  private Sbgn sbgnData;

  public OrOperatorProcessor(Glyph glyph, Model model, Sbgn sbgnData) {
    super(GlyphClazz.AND);
    this.glyph = glyph;
    this.model = model;
    this.sbgnData = sbgnData;
  }

  @Override
  public void process() {
    OrOperator operator = new OrOperator();
    Reaction reaction = createReactionForOperator(operator, glyph, sbgnData, model);
    model.addReaction(reaction);
  }
}