package lcsb.mapviewer.converter.model.sbgnaf.processors.modulatingArcs;

import lcsb.mapviewer.model.map.model.Model;
import lcsb.mapviewer.model.map.reaction.Reaction;
import lcsb.mapviewer.model.map.reaction.type.ReducedTriggerReaction;
import org.sbgn.ArcClazz;
import org.sbgn.bindings.Arc;

public class NecessaryStimulationProcessor extends ModulatingArcProcessor {

  private Model model;

  public NecessaryStimulationProcessor(Arc arc, Model model) {
    super(ArcClazz.NECESSARY_STIMULATION, arc, model);
    this.model = model;
  }

  @Override
  public void process() {
    Reaction reaction = createGenericReaction();
    model.addReaction(new ReducedTriggerReaction(reaction));
  }
}
