package lcsb.mapviewer.converter.model.sbgnaf.processors.modulatingArcs;

import lcsb.mapviewer.model.map.model.Model;
import lcsb.mapviewer.model.map.reaction.Reaction;
import lcsb.mapviewer.model.map.reaction.type.NegativeInfluenceReaction;
import org.sbgn.ArcClazz;
import org.sbgn.bindings.Arc;

public class NegativeInfluenceProcessor extends ModulatingArcProcessor {

  private Model model;

  public NegativeInfluenceProcessor(Arc arc, Model model) {
    super(ArcClazz.NEGATIVE_INFLUENCE, arc, model);
    this.model = model;
  }

  @Override
  public void process() {
    Reaction reaction = createGenericReaction();
    model.addReaction(new NegativeInfluenceReaction(reaction));
  }
}
